org.eclipse.gmt.modisco.infra.browser.uicore

## Class CustomizationManager

- java.lang.Object
- - org.eclipse.gmt.modisco.infra.browser.uicore.CustomizationManager

Deprecated.
Will be replaced by EMF Facet, cf https://bugs.eclipse.org/bugs/show_bug.cgi?id=470715

    @Deprecated
    public class CustomizationManager
    extends java.lang.Object

This is a facade to the `CustomizationEngine`, `AppearanceConfiguration`, and `FacetContext`. An instance of this class must be passed to `CustomizableModelContentProvider` and `CustomizableModelLabelProvider`.

Note that you must call `installCustomPainter` for all customizations to be displayed properly.

### Constructor Summary

Constructors
Constructor and Description
`CustomizationManager()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `clearCustomizations()` Deprecated. Removes all customizations
`void` `clearFacets()` Deprecated. Removes all Facets
`Font` `getCustomFont()` Deprecated.
`Font` `getCustomItalicFont()` Deprecated.
`int` `getFontSizeDelta()` Deprecated.
`java.util.List<MetamodelView>` `getRegisteredCustomizations()` Deprecated. Get registered customizations
`void` `installCustomPainter(Tree tree)` Deprecated. Install a `CustomTreePainter` on the given `Tree`.
`boolean` `isShowAttributes()` Deprecated.
`boolean` `isShowContainer()` Deprecated.
`boolean` `isShowDerivedLinks()` Deprecated.
`boolean` `isShowElementIDs()` Deprecated.
`boolean` `isShowEmptyAttributes()` Deprecated.
`boolean` `isShowEmptyLinks()` Deprecated.
`boolean` `isShowFullQualifiedNames()` Deprecated.
`boolean` `isShowMultiplicity()` Deprecated.
`boolean` `isShowOppositeLinks()` Deprecated.
`boolean` `isShowOrdering()` Deprecated.
`boolean` `isShowTypeOfLinks()` Deprecated.
`boolean` `isShowURI()` Deprecated.
`boolean` `isSortInstances()` Deprecated.
`boolean` `isSortLinks()` Deprecated.
`boolean` `isSortLinksByType()` Deprecated.
`void` `loadCustomizations()` Deprecated. Loads or reloads the customizations registered by `registerCustomization`.
`void` `loadFacet(Facet facet)` Deprecated. Loads the given Facet.
`void` `registerCustomization(MetamodelView customization)` Deprecated. Adds the given customization to the engine.
`void` `setCustomFont(Font customFont)` Deprecated.
`void` `setCustomItalicFont(Font customItalicFont)` Deprecated.
`void` `setFontSizeDelta(int value)` Deprecated.
`void` `setShowAttributes(boolean value)` Deprecated.
`void` `setShowContainer(boolean showContainer)` Deprecated.
`void` `setShowDerivedLinks(boolean showDerivedLinks)` Deprecated.
`void` `setShowElementIDs(boolean showElementIDs)` Deprecated.
`void` `setShowEmptyAttributes(boolean value)` Deprecated.
`void` `setShowEmptyLinks(boolean showEmptyLinks)` Deprecated.
`void` `setShowFullQualifiedNames(boolean showFullQualifiedNames)` Deprecated.
`void` `setShowMultiplicity(boolean showMultiplicity)` Deprecated.
`void` `setShowOppositeLinks(boolean showOppositeLinks)` Deprecated.
`void` `setShowOrdering(boolean value)` Deprecated.
`void` `setShowTypeOfLinks(boolean value)` Deprecated.
`void` `setShowURI(boolean showURI)` Deprecated.
`void` `setSortInstances(boolean sortInstances)` Deprecated.
`void` `setSortLinks(boolean value)` Deprecated.
`void` `setSortLinksByType(boolean value)` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomizationManager

    public CustomizationManager()

Deprecated.

### Method Detail

#### installCustomPainter

    public void installCustomPainter(Tree tree)

Deprecated.
Install a `CustomTreePainter` on the given `Tree`.

This custom painter is necessary to display some customizations, like underlined, struckthrough, and Facet overlay icons.

#### registerCustomization

    public void registerCustomization(MetamodelView customization)

Deprecated.
Adds the given customization to the engine. Once all customizations are added, `loadCustomizations` must be called to effectively load the registered customizations.

Customizations should be retrieved from the `CustomizationsCatalog`.

Parameters:
  `customization` - a customization root object, defined from metamodel "http://www.eclipse.org/MoDisco/infra/browser/custom/0.8".

#### loadCustomizations

    public void loadCustomizations()

Deprecated.
Loads or reloads the customizations registered by `registerCustomization`.

note: this method should be called after all `Facet`s are loaded, because customizations can reference `Facet`s.

#### clearCustomizations

    public void clearCustomizations()

Deprecated.
Removes all customizations

#### getRegisteredCustomizations

    public java.util.List<MetamodelView> getRegisteredCustomizations()

Deprecated.
Get registered customizations

#### loadFacet

    public void loadFacet(Facet facet)

Deprecated.
Loads the given Facet.

Facets should be retrieved from the `FacetSetCatalog`.

#### clearFacets

    public void clearFacets()

Deprecated.
Removes all Facets

#### isShowEmptyLinks

    public boolean isShowEmptyLinks()

Deprecated.

#### setShowEmptyLinks

    public void setShowEmptyLinks(boolean showEmptyLinks)

Deprecated.

#### isSortInstances

    public boolean isSortInstances()

Deprecated.

#### setSortInstances

    public void setSortInstances(boolean sortInstances)

Deprecated.

#### isShowDerivedLinks

    public boolean isShowDerivedLinks()

Deprecated.

#### setShowDerivedLinks

    public void setShowDerivedLinks(boolean showDerivedLinks)

Deprecated.

#### isShowFullQualifiedNames

    public boolean isShowFullQualifiedNames()

Deprecated.

#### setShowFullQualifiedNames

    public void setShowFullQualifiedNames(boolean showFullQualifiedNames)

Deprecated.

#### isShowMultiplicity

    public boolean isShowMultiplicity()

Deprecated.

#### setShowMultiplicity

    public void setShowMultiplicity(boolean showMultiplicity)

Deprecated.

#### isShowOppositeLinks

    public boolean isShowOppositeLinks()

Deprecated.

#### setShowOppositeLinks

    public void setShowOppositeLinks(boolean showOppositeLinks)

Deprecated.

#### isShowContainer

    public boolean isShowContainer()

Deprecated.

#### setShowContainer

    public void setShowContainer(boolean showContainer)

Deprecated.

#### isSortLinks

    public boolean isSortLinks()

Deprecated.

#### setSortLinks

    public void setSortLinks(boolean value)

Deprecated.

#### setSortLinksByType

    public void setSortLinksByType(boolean value)

Deprecated.

#### isSortLinksByType

    public boolean isSortLinksByType()

Deprecated.

#### setShowAttributes

    public void setShowAttributes(boolean value)

Deprecated.

#### isShowAttributes

    public boolean isShowAttributes()

Deprecated.

#### setShowEmptyAttributes

    public void setShowEmptyAttributes(boolean value)

Deprecated.

#### isShowEmptyAttributes

    public boolean isShowEmptyAttributes()

Deprecated.

#### setShowOrdering

    public void setShowOrdering(boolean value)

Deprecated.

#### isShowOrdering

    public boolean isShowOrdering()

Deprecated.

#### setShowTypeOfLinks

    public void setShowTypeOfLinks(boolean value)

Deprecated.

#### isShowTypeOfLinks

    public boolean isShowTypeOfLinks()

Deprecated.

#### setShowElementIDs

    public void setShowElementIDs(boolean showElementIDs)

Deprecated.

#### isShowElementIDs

    public boolean isShowElementIDs()

Deprecated.

#### setShowURI

    public void setShowURI(boolean showURI)

Deprecated.

#### isShowURI

    public boolean isShowURI()

Deprecated.

#### setFontSizeDelta

    public void setFontSizeDelta(int value)

Deprecated.

#### getFontSizeDelta

    public int getFontSizeDelta()

Deprecated.

#### setCustomFont

    public void setCustomFont(Font customFont)

Deprecated.

#### getCustomFont

    public Font getCustomFont()

Deprecated.

#### setCustomItalicFont

    public void setCustomItalicFont(Font customItalicFont)

Deprecated.

#### getCustomItalicFont

    public Font getCustomItalicFont()

Deprecated.